#submission-status {
    position:fixed;
    left:0;
    right:0;
    bottom:0;
    background:$(color_background);
    z-index:10000;
    box-shadow:0 0 0.5em rgba(127,127,127,0.5);
    iframe, .embedded-iframe {
        margin:0;
    }
}

.submission-status-wrapper {
    .notification {
        margin:0;
        border-radius:0;
    }
}

.submission-chunk {
    border-radius:$(border_radius_accent);
    background:rgba(0,0,0,0.1);
    padding:$(spacing_base);
    margin:$(spacing_base) 0;
    border:0.25em solid #999;
    position:relative;
    min-height:2em;
    overflow:hidden;
    
    &:first-child {
        margin-top:0;
    }
    &:last-child {
        margin-bottom:0;
    }

    .submission-chunk-label {
        padding:0.25em $(spacing_base);
        margin:-$(spacing_base);
        margin-bottom:$(spacing_base);
        font-weight:bold;
        background:$(color_shade);
    }

    .opt-out {
        a {
            &:before {
                font-family: "Font Awesome 5 Free";
                content: "\f46c  ";
                font-weight: 900;
            }
        }
        &:after {
            content:'-- or --';
            display:block;
            font-size:0.8em;
            background:$(color_shade);
            margin:$(spacing_base) 0;
            border-radius:$(border_radius_accent);
            font-weight:bold;
            padding-left:2em;
        }
    }

    a.mode-switch {
        display:block;
        position:absolute;
        top:0;
        right:0;
        padding: 0.25em;
        text-decoration:none;
        color:$(color_notice);
        &:hover {
            text-decoration:underline;
        }
    }

    &.complete {
        border:0;
        background:a-adjust($(color_confirmation),-90);
        &:before {
            display:none;
        }
    }
    &.editing {
        border-color:$(color_notice);
        background:a-adjust($(color_notice),-90);
    }
    &.incomplete,&.incomplete.editing {
        border-color:$(color_warning);
        background:a-adjust($(color_warning),-90);
        border-top:0;
        .submission-chunk-label {
            background:$(color_warning);
            color:#fff;
        }
    }
}

body.embedded-iframe {
    .submission-chunk {
        margin:0;
    }
}